%define upstream_name    File-Find-Object
%define upstream_version v0.2.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    An object-oriented directory tree traversal module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
File::Find::Object is a directory tree traversal module for Perl 5. It
is similar to File::Find but is object-oriented, can be instantiated, has
an iterative interface, can be interrupted in the middle, and does not have
the horrible API of File::Find.

It allows to perform multiple tree parsing in the same application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/*/*
%{perl_vendorlib}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 367202
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 shlomif <shlomif> 0.2.5-1.mga3
+ Revision: 284091
- update to v0.2.5

* Mon Jan 30 2012 shlomif <shlomif> 0.2.3-4.mga2
+ Revision: 203331
- Correct some typos in the documentation

* Fri Jan 21 2011 jquelin <jquelin> 0.2.3-3.mga1
+ Revision: 29377
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.2.3-2.mga1
+ Revision: 11408
- imported package perl-File-Find-Object

